Add billing tab settings
Create or update customer-specific billing settings.
Rules
- Provide at least one of
billing_frequencyordelivery_method. - Set fields to
nullto revert to creditor defaults.
Path Parameters
- Type: integercustomer
_no min:1requiredCustomer number.
- Must be numeric (digits only)
Body·
required
application/json
Provide at least one of billing_frequency or delivery_method.
Use null to revert to creditor defaults.
Provide at least one of
billing_frequencyordelivery_method. Usenullto revert to creditor defaults.- Type: string | nullbilling
_frequency Pattern: ^(daily|weekly#[A-Za-z]+|weekly#[1-7]|monthly#([1-9]|[12][0-9]|3[01]))$Billing frequency for the customer.
Supported formats:
dailyweekly#[day_name_or_number](e.g.weekly#mondayorweekly#1)monthly#[day](e.g.monthly#15)
Notes:
- Weekly numbers use
1=Monday ... 7=Sunday - For monthly, if the day doesn’t exist, the system uses the last day of the month.
- Type: string | nullenumdelivery
_method Delivery method used for invoices created from the billing tab.
Must be one of the creditor’s available delivery methods. Set to
nullto revert to creditor defaults.values- Email+
Letter - Email
- S
M S+ Letter - S
M S - Letter
- Einvoice
- E
D I - Do
Not Notify - null
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/customer/{customer_no}/billing-tab/settings
curl https://sandbox.billogram.com/api/v2/customer/1/billing-tab/settings \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic username:password' \
--data '{
"billing_frequency": "monthly#20",
"delivery_method": "Email"
}'
{
"status": "OK",
"data": {
"delivery_method": "Email",
"billing_frequency": "monthly#20"
}
}